
        ALLEGRO ENVIRONMENT VARIABLES FOR 5.0P2

        The following list identifies Allegro environment variables. Those variables marked with an asterisk (*) are new for the Allegro 5.0 release. Descriptions for the other variables can be found in the Allegro User Manuals for release 4.1.

Autosave

        These variables control the behavior of the automatic Allegro database save facility.

        * autosave
Enables autosaving. Must be set/unset before starting the editor.

        * autosave_time = <n>
Controls autosave interval. Default is 30 minutes, minimum is 15 minutes, maximum is 300 minutes.

        * autosave_name = <name>
Sets name used for autosave file. Default AUTOSAVE.<brd/dra>.

        * autosave_dbcheck
Enables quick database check before an autosave. In default mode this is turned off since this increases the time for a save.

Back Annotation

        pcb_baf_pin_number
If set, then back annotation will use pin number, not pin name, for the "was" part of the PIN statement for pre-assigned (and not yet assigned) functions.

Database

        The following environment variables modify the behavior of the Allegro
database.

        XSECTOR = <db unit>
Allows changing of the X sector size of the database.  Use with the dbfix command.

        YSECTOR = <db unit>
Allows changing of the Y sector size of the database. Use with the dbfix command.

Display

        The following environment variables modify editor's graphics display.

        * display_allpadlayers
If set, when using mixed colors, all visible pad layers will be drawn. This variable impacts performance.

        * display_drcfill
If set, all DRC marker will be displayed as "filled" butterflies.

        * display_manual_colpriority
If set, disables Allegro from being changed to put the new active subclass on top when you drill or swap in add_connect. This will increase performance but will not result in a redisplay to bring the new layer to the top of the display.  The default is auto-priority.

        * display_nobuffer
If set, display buffering will be disabled.  This is intended as a programming aid. This variable impacts performance.

        * display_nolinewidth
If set, all lines are displayed at a one pixel width.  Can increase performance at the expense of an accurate display.  The default is lines at width.

        * display_norepair = [rats, all]
If set, display repair is disabled for the described component. Options are "rats" or "all." When not set, display repair mode is enabled for all components.  Setting variable to "rats" disables display repair for ratsnest lines.  Setting variable to "all" results in a display behavior similar to 4.1 Allegro.  The "all" mode has the best performance while leaving the variable unset results in the best display appearance.  The master configuration file sets this option to "rats" which is a happy medium although you might want to set it to "all" for slow machines.

Path

        The following environment variables control the searching for system or library files.

        FORMPATH  =  .  $GLOBAL/forms
Search list for system's form files.

        MENUPATH  =  .  $GLOBAL/forms
Search list for system's menu files.

        LIBPATH  =  /usr/valid/liv/pcb_lib
Pointer to system's master Allegro library.

        PSMPATH  =  .  symbols .. ../symbols $LIBPATH/symbols
Search list for system's symbol files.

        PADPATH  =  .  symbols .. ../symbols $LIBPATH/symbols
Search list for system's padstack files.

        DEVPATH  =  .  devices .. ../devices $LIBPATH/devices
Search list for system's device files.

        ARTPATH  =  .  ..
Search list for artwork control files.

        NCDPATH  =  .  ..
Search list for NCDrill control files.

        TEXTPATH  =  .  $GLOBAL/views
Search list for extract control files.

        THERMPATH  =  .  .. $GLOBAL
Search list for thermal control files.

        SIGNOISEPATH  =  .  .. $GLOBAL
Search list for signal noise control files.

        SCRIPTPATH  =  . $GLOBAL/script
Search list Allegro script files.

        * HELPPATH  =  .  $GLOBAL/help
Search list for help files. This points to a top level directory tree.

        * VECTORPATH  =  .  $GLOBAL
Search list for stroke text files, used with ANSIFONT variable.

Plotting

        The following environment variables control plotting and must be set before plot files are created.

        plot_vectorize_text
Text is broken into vectors as it is placed in the intermediate plot file.  Can result in large plot files.

        plot_scale   =  <n>
Where n is an integer greater then 1.  Results in a scaled plot.

        plot_shape_spacing  =  <n>
Where n is a database unit greater than 0.  Controls the spacing of the cross hatch lines in shapes during plotting.

Simulation

        The following environment variables modify certain features in Allegro's
Signal Noise and Thermal and Reliability Analysis programs.

        analyze_unspec_pins_as  =  [name]
Set to provided a global default for pin use codes. Any pin that is otherwise unspecified will take the value of this variable.  Pins with unspecified pin-use codes are treated as through they actually have the default pin-use code that you have specified.

        CROSSTALK_CALC  =  [NET_SUM, PEAK_NET]
Determines crosstalk value reported on Signal Noise Analysis Form.
Default is NET_SUM.

        CROSSTALK_RANGE  =  <value>
Specifies maximum etch separation distance that will be examined during Signal Noise Analysis.  Default value is 0.050 inch. Setting a large value (such as 10) will increase processing times.

        DRIVER_EDGE  =   [RISE, FALL]
Determines default value for Rise/Fall switch on Signal Noise Analysis Form.

        * NET_SIMRESULT_FILE  =  <file>
If set then NET_SIMRESOLUTION is used and wave form results are written to <file>.

        * NET_SIMRESOLUTION  =  <# of points>
Controls resolution of the optional sim waveform files. Default is a 100 points.

        * NET_SIMTIME  =  <time units>
Used by the signoise command to determine length of time to be simulated (measured in nanoseconds).  When this variable is not set, the time period is a function of the length of the net and the driver's rise or fall time.

Shell

        The following environment variables control the programs accessed via the shell or open commands.

        WINDOW_STAYUP
If set, stay up after finish command.

        WINDOW_EDITOR  =  <editor>
An optional control used by open command (overrides WINDOW_COMMAND) default: not set. Suggested: textedit (Sunview), xedit (X).

        WINDOW_COMMAND  =  <program name>
Controls shell program, default: shelltool (Sunview), xterm (X).

        WINDOW_TERMINAL  =   <program name>
Controls window used open. The default is: shelltool (Sunview), xterm -e (X).

Slide

        The following environment variable controls the slide command.

        * slide_arcs
If set, the user can select arcs when using the slide command. If disabled, line segments containing arcs and arc segments will not slide. The default is enabled.

        * slide_cleanup_off
If set, the slide command will not smooth connections when via bubble is invoked.  The default is disabled.  

Swap

        The following environment variable controls the swap command.

        NOSWAPRIPUP
Do not rip-up etch during component swap.  Default is rip-up etch.

System

        The following environment variables control the system configuration behavior.  It is recommend that these variable NOT be modified.

        * ANSIFONT  =  ansifont
Text font vector file, used with VECTORPATH variable.

        ICONS =  $GLOBAL/icons
Pointer to icon directory for Allegro.

        FILEEXTS =  $GLOBAL/extensions
Extensions to file types rule file for the Allegro browser.

        RESOURCE  =  resource
Resource (print) configuration file for the editors.

        TELMSG  =  $GLOBAL/allegro.msg
Present for compatibility with old Allegro programs such as old database uprevs.

        UNITS  =  $GLOBAL/units.dat
Units rule conversion file.

User Interface

        The following environment variables modify the behavior of the User
Interface.

        menu_invert
When set, menus are displayed with a black background and white text.

        mouse_buttons
Allows alternative assignments for mouse buttons.

        * readme_always
If set, the Allegro README file will be displayed whenever the pcb_editor is activated.

        NOCONFIRM
If set, Allegro does not ask for confirmations.  Should only be used in scripts and then with caution.

        pcb_autoroam
If set, roam will continue without having to move the cursor.

        pcb_blink = <interval>
If set, any highlighted elements will blink at <interval> (if specified - in seconds, integer or decimal number) controls how fast it blinks, default is set to 1.0 seconds.

        pcb_cursor = [infinite, cross]
If set, pcb_editor use cursor type.  Default is crosshair cursor.

        pcb_findfilter_down
If set user is required to manually invoke the find filter while inside a command. Default is to automatically invoke the find filter.

        pcb_stoptracking   =   <n>
If set, whenever the number of elements to be drawn in the cursor buffer exceeds the limit n, then the dynamic cursor buffer will not be redrawn as the user moves the cursor.  The redrawing will, however, take place as soon as the cursor stops.

        * pcb_visibility_down
If set, the user is required to manually invoke the visibility form when inside the add_connect command.  The default is to automatically invoke the visibility form.

        DISPLAY = <name>
If set, select X windows, this is an X window standard.

        SUN8PLANES
If set, use independent colors in Sunview.  This option is only applicable under Sunview and should be set as a sh environment (setenv) variable.

        TOOLSETUP = <file>
If set, specified the alternate file name in pcbenv as the setup file for use by the pcbtools program.

        TUNEPCB_NOMSG
Eliminates messages generated by tunepcb program.

OS Bugs

        The following variables disable certain Allegro features due to OS bugs.  They should only be set where required.

        * enable_hilitefont
For Sun OS 4.1.1 under SunView and standalone. If set, enables the new Allegro 5.0 feature of highlighted fonts. This feature is disabled when running Allegro in SunView and standalone modes due to a Sun OS bug.

        bug_noxorfatlines
For IBM/RS6000 only.  If set, fat line segments in dynamic cursor buffer (such as during Move command) will be displayed as zero width lines.  This is a workaround for Xwindows performance problem.

Internal

        The following variables are used internally by Allegro and should not be changed.

        BASE
Pointer to the directory where the editor was started.

        * ENV_CLASS
Last class name set by the class command.

        * ENV_SUBCLASS
Last subclass name set by the subclass command.

        LOCALENV
Pointer to the user's local environment directory.

        GLOBAL, GLOBALPATH
Pointers to the user's global environment directory.

        * MENULOAD
Currently loaded menu file for the editor.

Obsolete

        The following variables are now obsolete.

        DRC_same_net
Replaced by a Status Form Parameter.

        pcb_dim_unbroken
Replaced by Dimension Form Parameter.

        pcb_slide
Replaced by Ministatus Parameter.

        bug_nohilitefont
Replaced by enable_hilitefont.
